GCMParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.cms

## Class GCMParameters

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.cms.GCMParameters

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class GCMParameters
      extends ASN1Object

  RFC 5084: GCMParameters object.

       GCMParameters ::= SEQUENCE {
         aes-nonce        OCTET STRING, -- recommended size is 12 octets
         aes-ICVlen       AES-GCM-ICVlen DEFAULT 12 }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GCMParameters(byte[] nonce, int icvLen)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIcvLen()`
    `static GCMParameters` | `getInstance(java.lang.Object obj)` Return an GCMParameters object from the given object.
    `byte[]` | `getNonce()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GCMParameters

          public GCMParameters(byte[] nonce,
                               int icvLen)

  - ### Method Detail

    - #### getInstance

          public static GCMParameters getInstance(java.lang.Object obj)

      Return an GCMParameters object from the given object.

      Accepted inputs:

      - null → null
      - `GCMParameters` object
      - `ASN1Sequence` input formats with GCMParameters structure inside
      Parameters:
        `obj` - the object we want converted.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getNonce

          public byte[] getNonce()

    - #### getIcvLen

          public int getIcvLen()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.